/* $Id: ResultIndex.java 125 2011-03-09 09:49:51Z ohura $ */
package jp.ac.hokudai.meme.core_smart_gs.searcher;

import java.util.ArrayList;
import java.util.Iterator;

public class ResultIndex {
    
    protected ArrayList resultList_;
    
    public ResultIndex(){
        resultList_ = new ArrayList();
    }
    
    public void addResult(int[] indexList, double score) {
        addResult(new FoundIndex(indexList, score));
    }
    
    public void addResult(FoundIndex fouond){
        resultList_.add(fouond);
    }
    
    public int size() {
        return resultList_.size();
    }
    
    public FoundIndex get(int i) {
		return (FoundIndex)resultList_.get(i);
    }
    
    public Iterator iterator() {
		return resultList_.iterator();
	}
}
